package com.hikcreate.bigdata.hdip.source;

/**
 * 数据库的枚举类
 *
 * @author Administrator
 * @Time 2020-08-20 12:12:12
 */
public enum DBDriver {
    Mysql_5("com.mysql.jdbc.Driver","jdbc:mysql://${ip}:${port}/${dataBase}?useSSL=false&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8"),
    Mysql_6("com.mysql.cj.jdbc.Driver","jdbc:mysql://${ip}:${port}/${dataBase}?useSSL=false&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8"),
    Oracle("oracle.jdbc.driver.OracleDriver","jdbc:oracle:thin:@${ip}:${port}/${dataBase}"),
    PostgreSql("org.postgresql.Driver","jdbc:postgresql://${ip}:${port}/${dataBase}"),
    SQLserver("com.microsoft.sqlserver.jdbc.SQLServerDriver","jdbc:sqlserver://${ip}:${port};DatabaseName=${dataBase}"),
    Hive("org.apache.hive.jdbc.HiveDriver","jdbc:hive2://${ip}:${port}/${dataBase}"),
    Phoenix("org.apache.phoenix.jdbc.PhoenixDriver","jdbc:phoenix:${ip}:${port}/${dataBase}"),
    Impala("com.cloudera.impala.jdbc41.Driver","jdbc:impala://${ip}:${port}/${dataBase}");
    private String driver;
    private String url;

    DBDriver(String driver, String url) {
        this.driver=driver;
        this.url=url;
    }
    public String getUrl(String ip,String port,String dataBase) {
        return url.replace("${ip}",ip).replace("${port}",port).replace("${dataBase}",dataBase);
    }

    public void setUrl(String url) {
        this.url = url;
    }


    public String getDriver() {
        return driver;
    }

    public void setDriver(String driver) {
        this.driver = driver;
    }

    @Override
    public String toString() {
        return "DBDriver{" +
                "driver='" + driver + '\'' +
                ", url='" + url + '\'' +
                '}';
    }
}
