package com.hikcreate.bigdata.hdip.source;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.sql.Connection;
import java.sql.DriverManager;

/**
 * @author chencong13
 * @Description 数据库协助类
 * @Time 2020/8/20 17:35
 */
public class DBUtils {
    private static final Logger log = LoggerFactory.getLogger(DBUtils.class);
    private static String url; //url
    private static String driver; //驱动类
    private static String userName;
    private static String password;

    private DBUtils() {
    }

    public static void initDataSource(String hurl, String hdriver, String huserName, String hpassword) {
        url = hurl;
        driver = hdriver;
        userName = huserName;
        password = hpassword;
    }


    public static Connection getConnection() {
        Connection connection = null;
        try {
            Class.forName(driver);
            //获取连接
            connection = DriverManager.getConnection(url, userName, password);
        } catch (Exception e) {
            log.error("error", e);
        }
        return connection;
    }


}
