package com.hikcreate.bigdata.hdip.source;

import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.druid.pool.DruidDataSourceFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.sql.DataSource;
import java.io.FileInputStream;
import java.io.IOException;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.Properties;

/**
 * @author chencong13
 * @Description 不在使用
 * @Time 2020/8/20 17:35
 */
public class DruidUtils {
    private static final Logger log = LoggerFactory.getLogger(DruidUtils.class);
    private static DruidDataSource dataSource;

    private DruidUtils() {
    }

    public static void initDataSource(String url, String driver, String userName, String password) {
        if (dataSource == null) {
            dataSource = new DruidDataSource();
            dataSource.setUrl(url);
            dataSource.setDriverClassName(driver);
            dataSource.setUsername(userName);
            dataSource.setPassword(password);

            dataSource.setInitialSize(10);  //初始连接数，默认0
            dataSource.setMaxActive(10);  //最大连接数，默认8
            dataSource.setMinIdle(10);  //最小闲置数
            dataSource.setMaxWait(3000);  //获取连接的最大等待时间，单位毫秒
            dataSource.setPoolPreparedStatements(true); //缓存PreparedStatement，默认false
            dataSource.setMaxOpenPreparedStatements(20); //缓存PreparedStatement的最大数量，默认-1（不缓存）。大于0时会自动开启缓存PreparedStatement，所以可以省略上一句代码
        }
    }


    public static Connection getConnection() {
        try {
            return dataSource.getConnection();
        } catch (Exception e) {
            log.error("getConnection error ", e);
        }
        return null;
    }

    public static void closeDruid() {
        if (dataSource != null) {
            dataSource.close();
        }
    }
}
